# MPIWG Jekyll Theme

This is a Jekyll Theme for MPIWG Microsites.

## Development

To set up your environment to develop this theme, run `bundle install`.

Your theme is setup just like a normal Jekyll site! To test your theme, run `bundle exec jekyll serve` and open your browser at `http://localhost:4000`. This starts a Jekyll server using your theme. Add pages, documents, data, etc. like normal to test your theme's contents. As you make modifications to your theme and to your content, your site will regenerate and you should see the changes in the browser after a refresh, just like normal.

When your theme is released, only the files in `_layouts`, `_includes`, `_sass` and `assets` tracked with Git will be bundled.
To add a custom directory to your theme-gem, please edit the regexp in `mpiwg-jekyll-theme.gemspec` accordingly.

1. Bump version number in `mpiwg-jekyll-theme.gemspec` (use semantic versioning)
2. Commit all your changes to git
3. Build theme with `gem build mpiwg-jekyll-theme`
4. Publish theme with `gem push mpiwg-jekyll-theme-*.gem`


## Installation

Add this line to your Jekyll site's `Gemfile`:

```ruby
gem "mpiwg-jekyll-theme"
```

And add this line to your Jekyll site's `_config.yml`:

```yaml
theme: mpiwg-jekyll-theme
```

And then execute:

    $ bundle

Or install it yourself as:

    $ gem install mpiwg-jekyll-theme

## Usage

TODO: Write usage instructions here. Describe your available layouts, includes, sass and/or assets.


## License

The theme is available as open source under the terms of the [MIT License](https://opensource.org/licenses/MIT).

